• Revista PROGRAMAR: Já está disponível a edição #53 da revista programar. Faz já o download aqui!

Dark Fenix

Problema com webcam!

5 mensagens neste tópico

Boas ppl, estou com um grande problema, tenho o ubuntu edgy 6.10, comprei uma webcam nova, Logitech QuickCam Chat, comprei esta porque vi aqui:

e aqui:

que era suportada pelo linux, e tambem qual o respectivo driver, posto isto, hoje tentei instala-la, seguindo este tutorial:

porque utiliza esse driver como exemplo... mas nao tive grande sucesso, nao entendi bem o que aconteceu, porque nao houve nenhum erro durante os passos da configuração, a n ser o que o autor fala neste ponto:

Caso durante a instalação, apareça uma mensagem de erro como esta:

rc@p4:~/spca5xx-20060501$ sudo modprobe spca5xx

FATAL: Error inserting spca5xx (/lib/modules/2.6.14-kanotix-6/kernel/drivers/usb/media/spca5xx.ko): Invalid module format

Use o seguinte comando:

rc@p4:~/spca5xx-20060501$ sudo modprobe -f spca5xx

mas este corrigi com o comando que ele da, mas depois disso, quando faço o comando:

cat /proc/bus/usb/devices

ele da-me isto:

T: Bus=01 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#= 6 Spd=12 MxCh= 0

D: Ver= 1.10 Cls=ff(vend.) Sub=ff Prot=00 MxPS= 8 #Cfgs= 1

P: Vendor=046d ProdID=092e Rev= 0.00

S: Manufacturer=

S: Product=Camera

C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=100mA

I: If#= 0 Alt= 0 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 0 Ivl=1ms

I: If#= 0 Alt= 1 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 128 Ivl=1ms

I: If#= 0 Alt= 2 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 880 Ivl=1ms

I: If#= 0 Alt= 3 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 512 Ivl=1ms

I: If#= 0 Alt= 4 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 640 Ivl=1ms

I: If#= 0 Alt= 5 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 768 Ivl=1ms

I: If#= 0 Alt= 6 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 896 Ivl=1ms

I: If#= 0 Alt= 7 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS=1023 Ivl=1ms

I: If#= 0 Alt= 8 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 544 Ivl=1ms

I: If#= 0 Alt= 9 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 656 Ivl=1ms

I: If#= 0 Alt=10 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 704 Ivl=1ms

I: If#= 0 Alt=11 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 864 Ivl=1ms

I: If#= 0 Alt=12 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 960 Ivl=1ms

I: If#= 0 Alt=13 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

E: Ad=81(I) Atr=01(Isoc) MxPS= 845 Ivl=1ms

e nao como o que mostra o exemplo! em seguida fiz os comandos que se seguem, para o modulo ser carregado, e depois, quando executei o comando:

cat /dev/video0

ele deu-me o seguinte erro:

darkfenix@DarkFenix:~$ cat /dev/video0

cat: /dev/video0: Arquivo ou diretório inexistente

depois disto tudo, instalei o Camorama, e tentei abrir, e apareceu-me o seguinte erro:

capturaecrazw6.th.png

e pronto... nao tenho webcam a funcar...

Gostaria de saber se alguem me pode ajudar no meu problema... nao sei se fui bem claro, mas penso que descrevi o meu problema... qualquer coisa peçam que eu explico!

cumps

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Segue o README.

$make clean

$make

Se tiver tudo bem

#make install

E diz o teu kernel que estás a usar porque alguns dão erro. (Tenho uma Logitech, Inc. Labtec WebCam Pro e com alçguns kernels dá-me problemas a instalar os modulos).

Também podes instalar por apt. :

#apt-get install spca5xx-source

#module-assistant update

#module-assistant build spca5xx

Se correr tudo bem

#module-assistant install spca5xx

Liga a webcam e vê se o módulo carregou.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

o meu kernel é o 2.6.17-10-386, fiz o que disses-te, por apt, mas quando ligo a webcam, tentei abrir o camorama, e deu-me o mesmo erro.. :S

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

A mim, com o kernel que eu tenho, mesmo seguindo esse how-to dá o mesmo erro ao construir o módulo. Tenho de instalar outro kernel :/

PS: uso o kernel 2.6.19-ck2

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Crie uma conta ou ligue-se para comentar

Só membros podem comentar

Criar nova conta

Registe para ter uma conta na nossa comunidade. É fácil!


Registar nova conta

Entra

Já tem conta? Inicie sessão aqui.


Entrar Agora